$("#upload").change(function() {
	var file = $("#upload")[0].files[0];
	$('#file-name').text(file.name);
});

function de_php() {
  var uploadInput = $('#upload')[0];
  if (uploadInput.files.length === 0) {
    swal({
      title: "请选择需要解密的文件",
      icon: 'warning',
    });
    return;
  }
  var fileSize = uploadInput.files[0].size / 1024 / 1024; // MB
  if (fileSize > 1) {
    swal({
      title: "文件大小不能超过1MB",
      icon: 'warning',
    });
    return;
  }
  
  // 禁用按钮
  $('#decrypt').attr('disabled', 'true');
  
  var formdata = new FormData();
  formdata.append('file', uploadInput.files[0]);
  $.ajax({
    url: './ajax.php?act=decrypt',
    type: 'post',
    data: formdata,
    processData: false,
    contentType: false,
    dataType: 'json'
  }).done(function(response) {
    if (response.code === 200) {
      downfile(response);
    } else {
      swal({
        title: "解密失败",
        text: response.msg,
        icon: 'error'
      });
    }
  }).fail(function(jqXHR, textStatus, errorThrown) {
    swal({
      title: "错误信息",
      text: '服务器内部错误！',
      icon: 'error'
    });
  }).always(function () {
    // 恢复按钮
    $('#decrypt').removeAttr('disabled');
    // 清空文件上传
    $('#upload').val('');
    //清空文件名称
	$('#file-name').text('上传待解密的文件');
  });
}

function downfile(res) {
  swal({
    title: "解密成功",
    text: res.msg,
    icon: "success",
    buttons: {
      download: {
        text: "下载",
        value: true,
        className: "btn-success",
        closeModal: false,
      },
      cancel: {
        text: "取消",
        value: null,
        className: "btn-secondary",
        closeModal: true,
      },
    },
    dangerMode: true,
  }).then((value) => {
    if (value) {
      location.href = res.url;
      window.opener = null;
      window.open("", "_self");
      window.close();
    }
  });
}

